tt_free(library call)

NAME
tt_free — free storage from the ToolTalk API allocation stack

SYNOPSIS

#include &<Tt/tt_c.h>
void tt_free(
caddr_t p);

DESCRIPTION

The tt_free function frees storage from the ToolTalk API allocation stack.

The p argument is the address of the storage in the ToolTalk API allocation stack to be freed.

RETURN VALUE

The tt_free function returns no value.

APPLICATION USAGE

The application should use the tt_free function instead of tt_mark(3) and tt_release(3) if, for example, the process is in a loop (that is, it obtains strings from the ToolTalk service and processes each in turn).

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_malloc(3), tt_mark(3), tt_release(3), tt_free(3).